Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008242 [DCSS] Implementables minor N/A 2014-03-07 03:38 2015-04-11 07:25
Reporter gammafunk View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008242: Monster glyph overhaul
Description Several glyphs are full or overly so, and others underutilized:

http://s-z.org/neil/tmp/crawl-glyphs-narrow.html [^]

We'd like to at least fix the situation with with H, probably @ (at least the uniques), and R has also been mentioned (there are surely others).

I'm making a spreadsheet that will help with the bikeshed painting, and which I'll post eventually.


pictured below, the horrible visage of an undead terror that will claim our very lives should we fail:

%
Additional Information
Tags No tags attached.
Attached Files ? file icon glyph-overhaul.patch [^] (273,904 bytes) 2014-03-14 19:53
? file icon glyph_ref.patch [^] (276,912 bytes) 2014-03-29 08:50
? file icon glyph_ref2.patch [^] (275,908 bytes) 2014-04-15 23:37

- Relationships

-  Notes
(0025502)
sgrunt (administrator)
2014-03-07 04:27

Not happening before 0.14 goes out, so set "product branch" to 0.15.
(0025529)
chris (updater)
2014-03-09 14:19

Some of the ideas that have been mentioned, considered or partially implemented in the past:

More concrete
------------
* Move tengu from H to Q (warrior, conjurer, reaver, Sojobo and player glyph)
* Merge non-player_ghost p into W, then move part of @ to p
* Merge k into y
* Merge I and E in either direction

Planning stage
-------------
* Reflavor several currently-human uniques to something not on @
* U and B probably do not need a glyph on their own
* ; has been brought up as not ideal a few times
* Small/large zombies on z and Z and what constitutes danger level have also been discussed
(0025563)
gammafunk (administrator)
2014-03-11 11:22

I've made a google spreadsheet with sheets for the Proposed and Current glyph tables. Anyone editing this please read all the comments at the top. General guidelines are make sure to indicate changes with the different cell background, any errors for the current glyph state should be changed on both the Proposed and Current sheets, and any entry should come from mon-data.h.

https://docs.google.com/spreadsheets/d/1ZdFxdVlU_PiU0G8sNUYytl9oQEovU8H8tc76yXS_65I/edit?usp=sharing [^]

I've done the split of Tengu from H to Q and moved Asterion, but that's not meant to be a final decision.
(0025604)
sgrunt (administrator)
2014-03-14 19:53

For the curious, here's an implementation of the glyph overhaul (and a tangentially-related patch to fix some residual issues from it).

There's another related patch from gammafunk which can be added on its own here if necessary.
(0025747)
gammafunk (administrator)
2014-03-29 09:03

glyph_ref.patch has grunt's commits rebased to recent trunk (conflicts from changes in monster door usage and corpse eating) along with my documentation commits and a few color tweaks. This should go in cleanly to trunk when 0.14 is branched.
(0025838)
sgrunt (administrator)
2014-04-15 23:37

Another rebase for the latest removals; I will land this after the tournament.
(0025913)
sgrunt (administrator)
2014-04-25 05:33

This has landed.

- Issue History
Date Modified Username Field Change
2014-03-07 03:38 gammafunk New Issue
2014-03-07 04:27 sgrunt Note Added: 0025502
2014-03-07 04:27 sgrunt Product Branch 0.14 development branch => longterm development (0.15+)
2014-03-09 14:19 chris Note Added: 0025529
2014-03-11 11:22 gammafunk Note Added: 0025563
2014-03-11 17:03 wheals Issue Monitored: wheals
2014-03-14 19:53 sgrunt File Added: glyph-overhaul.patch
2014-03-14 19:53 sgrunt Note Added: 0025604
2014-03-29 08:50 gammafunk File Added: glyph_ref.patch
2014-03-29 09:03 gammafunk Note Added: 0025747
2014-04-15 23:37 sgrunt File Added: glyph_ref2.patch
2014-04-15 23:37 sgrunt Note Added: 0025838
2014-04-25 05:33 sgrunt Note Added: 0025913
2014-04-25 05:33 sgrunt Assigned To => sgrunt
2014-04-25 05:33 sgrunt Status new => resolved
2014-04-25 05:33 sgrunt Resolution open => done
2014-04-25 05:33 sgrunt Product Branch longterm development (0.16+) => 0.15 development branch
2014-04-25 05:33 sgrunt Fixed in Branch => 0.15 development branch
2015-04-11 07:24 gammafunk Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker